## bitstruct 3.4.0

=== Makefile ===
# create release and upload to pypi

all:
	python setup.py sdist
	python setup.py bdist_wheel --universal
	twine upload dist/*

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bitstruct.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bitstruct.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bitstruct"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bitstruct"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## bitstruct 3.1.0

=== debian/changelog ===
bitstruct (3.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 12:04:11 +1000

bitstruct (2.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #819157)

 -- Brian May <bam@debian.org>  Sat, 26 Mar 2016 15:29:22 +1100

=== debian/control ===
Source: bitstruct
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper (>=9), dh-python,
 python-all (>= 2.6.6-3~), python-setuptools,
 python3-all, python3-setuptools,
Standards-Version: 3.9.7
Homepage: https://github.com/eerimoq/bitstruct
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/bitstruct.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/bitstruct.git

Package: python-bitstruct
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python bit pack/unpack package
 This module is intended to have a similar interface as the python struct
 module, but working on bits instead of primitive data types (char, int, ...).
 .
 This package contains the Python 2 module.

Package: python3-bitstruct
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python bit pack/unpack package
 This module is intended to have a similar interface as the python struct
 module, but working on bits instead of primitive data types (char, int, ...).
 .
 This package contains the Python 3 module.

## bitstruct 3.4.0

=== debian/changelog ===
bitstruct (3.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version to 4.0.0.

 -- Brian May <bam@debian.org>  Thu, 13 Jul 2017 07:34:52 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>=9), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools,
  python3-all, python3-setuptools,
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: https://github.com/eerimoq/bitstruct
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/bitstruct.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/bitstruct.git

## bitstruct 3.7.0

=== Makefile ===
test:
	python2 setup.py test
	python3 setup.py test

release-to-pypi:
	python setup.py sdist
	python setup.py bdist_wheel --universal
	twine upload dist/*

=== debian/changelog ===
bitstruct (3.7.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 02:57:19 +0200

bitstruct (3.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 27 Apr 2018 08:03:22 +1000

=== debian/control ===
Source: bitstruct
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
 python3-all, python3-setuptools,
Standards-Version: 4.0.0
Homepage: https://github.com/eerimoq/bitstruct
Vcs-Git: https://salsa.debian.org/python-team/modules/bitstruct.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/bitstruct

Package: python3-bitstruct
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python bit pack/unpack package
 This module is intended to have a similar interface as the python struct
 module, but working on bits instead of primitive data types (char, int, ...).
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=bitstruct

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

## bitstruct 8.9.0

=== Makefile ===
test:
	python2 setup.py test
	python3 setup.py test
	$(MAKE) test-sdist
	codespell -d $$(git ls-files)

test-sdist:
	rm -rf dist
	python setup.py sdist
	cd dist && \
	mkdir test && \
	cd test && \
	tar xf ../*.tar.gz && \
	cd bitstruct-* && \
	python setup.py test

release-to-pypi:
	python setup.py sdist
	twine upload dist/*

=== debian/changelog ===
bitstruct (8.9.0-1) unstable; urgency=medium

  * Team upload

  [ Håvard Flaget Aasen ]
  * New upstream version 8.9.0
  * d/control
    - Update Standards-Version to 4.5.0
    - Bump debhelper to 12
    - Add Rules-Requires-Root: no
    - Fix lowercase python in description
    - Change architecture from all to any
    - Change build-dependency from python3-all to python3-all-dev
      (Closes: #952011)
    - Add ${shlibs:Depends}
    - Add Testsuite: autopkgtest-pkg-python
  * d/copyright
    - Update copyright year
    - Add email for Upstream-Contact
    - Use secure URI on Source in
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse,
    Bug-Submit
  * Remove override_dh_auto_test from d/rules
  * Add hardening in d/rules
  * Add upstream testsuite as autopkgtest

  [ IOhannes m zmölnig ]
  * Use "py3versions -s" for running autopkgtests
  * Make autopkgtest executable
  * Add salsa-ci configuration

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 26 Mar 2020 17:32:03 +0100

=== debian/control ===
Source: bitstruct
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/eerimoq/bitstruct
Vcs-Git: https://salsa.debian.org/python-team/modules/bitstruct.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/bitstruct

Package: python3-bitstruct
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bit pack/unpack package
 This module is intended to have a similar interface as the Python struct
 module, but working on bits instead of primitive data types (char, int, ...).
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=bitstruct
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends: @builddeps@

## bitstruct 8.15.1

=== Makefile ===
test:
	python3 setup.py build_ext -b .
	python3 -m unittest

=== debian/changelog ===
bitstruct (8.15.1-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:09:43 +0000

bitstruct (8.15.1-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 16:58:03 +0000

bitstruct (8.15.1-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:19:11 -0500

bitstruct (8.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes FTBFS with Python 3.11 (Closes: #1023904)
  * Add missing python3-all dependency to autopkgtest.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Nov 2022 19:37:15 +0100

bitstruct (8.9.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 10:19:46 +0100

bitstruct (8.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 20:15:48 -0400

=== debian/control ===
Source: bitstruct
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/eerimoq/bitstruct
Vcs-Git: https://salsa.debian.org/python-team/packages/bitstruct.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bitstruct

Package: python3-bitstruct
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bit pack/unpack package
 This module is intended to have a similar interface as the Python struct
 module, but working on bits instead of primitive data types (char, int, ...).
 .
 This package contains the Python 3 module.

## bitstruct 8.19.0

=== debian/changelog ===
bitstruct (8.19.0-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:14 +0100

bitstruct (8.19.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2024 18:15:19 +0100

## bitstruct 8.20.0

=== debian/changelog ===
bitstruct (8.20.0-2) unstable; urgency=medium

  * Team upload.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 17:58:01 +0000

bitstruct (8.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 17:41:47 +0000

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/bitstruct/bitstruct-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bitstruct 8.21.0

=== Makefile ===
test:
	python3 -m pip install -e .
	python3 -m unittest

=== debian/changelog ===
bitstruct (8.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Oct 2025 14:01:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/eerimoq/bitstruct
 Vcs-Git: https://salsa.debian.org/python-team/packages/bitstruct.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bitstruct

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	rm -f debian/python3-bitstruct/usr/lib/python*/dist-packages/bitstruct/*.[ch]

## bitstruct 8.22.0

=== debian/changelog ===
bitstruct (8.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Feb 2026 16:30:44 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  python3-all-dev,
  python3-setuptools,
 Standards-Version: 4.6.0
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/eerimoq/bitstruct
 Vcs-Git: https://salsa.debian.org/python-team/packages/bitstruct.git
